uicc.toolkit

## Interface EnvelopeResponseHandler

- All Superinterfaces:
    EditHandler, ViewHandler

      public interface EnvelopeResponseHandler
      extends EditHandler

  The `EnvelopeResponseHandler` interface contains basic methods to handle the Envelope response data field. This class will be used by the Toolkit Applet in order to edit the response to current Envelope command. A class implementing the `EnvelopeResponseHandler` interface is a Temporary JCRE Entry Point Object. The only way to get an `EnvelopeResponseHandler` reference is through the static `getTheHandler()` method of the `EvelopeResponseHandlerSystem` class.
  See Also:
    `ViewHandler`, `EditHandler`, `EnvelopeHandler`, `ToolkitException`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `post(boolean value)` Prepares the Envelope response
    `void` | `postAsBERTLV(boolean value, byte tag)` Prepare the Envelope response in a BER TLV structure.

    - ### Methods inherited from interface uicc.toolkit.EditHandler

      `appendArray, appendTLV, appendTLV, appendTLV, appendTLV, appendTLV, appendTLV, appendTLV, appendTLV, clear`

    - ### Methods inherited from interface uicc.toolkit.ViewHandler

      `compareValue, copy, copyValue, findAndCompareValue, findAndCompareValue, findAndCopyValue, findAndCopyValue, findTLV, getCapacity, getLength, getValueByte, getValueLength, getValueShort`

- - ### Method Detail

    - #### post

          void post(boolean value)
             throws javacard.framework.APDUException,
                    ToolkitException

      Prepares the Envelope response
      Parameters:
        `value` - indicating successful processing of the Envelope command The CAT Runtime Environment has to map the boolean value to the correct status word
      Throws:
        `ToolkitException` - with the following reason codes:
        - `HANDLER_NOT_AVAILABLE` if the handler is busy
        `javacard.framework.APDUException` - with the following reason code:
        - `BAD_LENGTH` if the resulting response length is greater than 256 and the response data has to be retrieved by the GET RESPONSE command.

    - #### postAsBERTLV

          void postAsBERTLV(boolean value,
                            byte tag)
                     throws javacard.framework.APDUException,
                            ToolkitException

      Prepare the Envelope response in a BER TLV structure. Should be used with Envelope Call Control by NAA or with an Unrecognized Envelope. The tag value is to be used to set the Result for Call Control.
      Parameters:
        `value` - indicating successful processing of the Envelope command The CAT Runtime Environment has to map the boolean value to the correct status word
        `tag` - the BER Tag to be used at the beginning of the Comprehension_TLV list.
      Throws:
        `javacard.framework.APDUException` - with the following reason code:
        - `BAD_LENGTH` if the resulting response length is greater than 256 bytes and the response data has to be retrieved by the GET RESPONSE command.
        `ToolkitException` - with the following reason codes:
        - `HANDLER_NOT_AVAILABLE` if the handler is busy